コミュニティ一覧・検索

GET/communities

公開コミュニティを検索・一覧取得します。tags は全タグ AND マッチです。

認証任意(ログイン時に応答が変化)

クエリパラメータ

pagenumber

ページ番号(1 始まり)。デフォルト 1

perPagenumber

1 ページあたりの件数。デフォルト 20

joinTypestring

参加タイプで絞り込み

searchstring

検索キーワード(name / description)

tagsstring

タグ(カンマ区切り、全タグ AND)

featured'true'

注目のみ

レスポンス

フィールド説明
communitiesCommunity[]コミュニティ配列
pageInfoobjectページ情報(totalCount / totalPages / page / perPage)
リクエスト
curl https://api.4s.link/communities \
-H "Authorization: Bearer 4s_at_..."
レスポンス例
{
"communities": [
{
"id": "c1d2e3f4-...",
"name": "4S Developers",
"description": "...",
"joinType": "FREE",
"visibility": "PUBLIC",
"logoUrl": "https://.../logo.png",
"slug": "4s-devs",
"featured": false,
"memberCount": 120,
"tags": []
}
],
"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }
}